package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_document_details_wrk")
public class AuditDocumentDetailsWrk implements Serializable{
/*Table: audit_document_details
---------------------------------

Column Information
----------------------

Field                   Type         Collation          Null    Key     Default            Extra                        Privileges                       Comment  
----------------------  -----------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
id                      int(20)      (NULL)             NO      PRI     (NULL)             auto_increment               select,insert,update,references           
legal_entity_code       int(2)       (NULL)             NO              (NULL)                                          select,insert,update,references           
audit_type_code         varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
plan_id                 varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
audit_id                varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
observation_id          varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
document_type           varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
related_entity_type     varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
related_entity_id       varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
system_id               varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
reference_number        varchar(50)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
reference_path          text         latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
status                  varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
entity_status           varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
maker                   varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
maker_timestamp         timestamp    (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
checker                 varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
checker_timestamp       timestamp    (NULL)             YES             (NULL)                                          select,insert,update,references           
businessdate_timestamp  timestamp    (NULL)             YES             (NULL)                                          select,insert,update,references           
sysdate_timestamp       timestamp   */
	

	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	private Integer id;
	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Column(name="plan_id")
	private String planId;

	@Column(name="audit_id")
	private String auditId;

	@Column(name="observation_id")
	private String observationId;
	
	@Column(name="document_type")
	private String documentType;
	
	@Column(name="related_entity_type")
	private String relatedEntityType;
	
	@Column(name="related_entity_id")
	private String relatedEntityId;
	
	@Column(name="system_id")
	private String systemId;
	
	@Column(name="reference_number")
	private String referenceNumber;
	
	@Column(name="reference_path")
	private String referencePath;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	@Column(name="role")
	private String role;
	
	@Column(name="document_name")
	private String documentName;
	
	@Column(name="file_name")
	private String fileName;
	
	@Column(name="document_sub_type")
	private String documentSubType;	
	
	@Column(name="auth_rej_remarks")
	private String authRejRemarks;
	 

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the planId
	 */
	public String getPlanId() {
		return planId;
	}

	/**
	 * @param planId the planId to set
	 */
	public void setPlanId(String planId) {
		this.planId = planId;
	}

	/**
	 * @return the auditId
	 */
	public String getAuditId() {
		return auditId;
	}

	/**
	 * @param auditId the auditId to set
	 */
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	/**
	 * @return the observationId
	 */
	public String getObservationId() {
		return observationId;
	}

	/**
	 * @param observationId the observationId to set
	 */
	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}

	/**
	 * @return the documentType
	 */
	public String getDocumentType() {
		return documentType;
	}

	/**
	 * @param documentType the documentType to set
	 */
	public void setDocumentType(String documentType) {
		this.documentType = documentType;
	}

	/**
	 * @return the relatedEntityType
	 */
	public String getRelatedEntityType() {
		return relatedEntityType;
	}

	/**
	 * @param relatedEntityType the relatedEntityType to set
	 */
	public void setRelatedEntityType(String relatedEntityType) {
		this.relatedEntityType = relatedEntityType;
	}

	/**
	 * @return the relatedEntityId
	 */
	public String getRelatedEntityId() {
		return relatedEntityId;
	}

	/**
	 * @param relatedEntityId the relatedEntityId to set
	 */
	public void setRelatedEntityId(String relatedEntityId) {
		this.relatedEntityId = relatedEntityId;
	}

	/**
	 * @return the systemId
	 */
	public String getSystemId() {
		return systemId;
	}

	/**
	 * @param systemId the systemId to set
	 */
	public void setSystemId(String systemId) {
		this.systemId = systemId;
	}

	/**
	 * @return the referenceNumber
	 */
	public String getReferenceNumber() {
		return referenceNumber;
	}

	/**
	 * @param referenceNumber the referenceNumber to set
	 */
	public void setReferenceNumber(String referenceNumber) {
		this.referenceNumber = referenceNumber;
	}

	/**
	 * @return the referencePath
	 */
	public String getReferencePath() {
		return referencePath;
	}

	/**
	 * @param referencePath the referencePath to set
	 */
	public void setReferencePath(String referencePath) {
		this.referencePath = referencePath;
	}

	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getDocumentName() {
		return documentName;
	}

	public void setDocumentName(String documentName) {
		this.documentName = documentName;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getDocumentSubType() {
		return documentSubType;
	}

	public void setDocumentSubType(String documentSubType) {
		this.documentSubType = documentSubType;
	}
	
	

	
	
}
